Status: Closed

Priority: Low

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Windows 7 64 Bits Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 14190

Description

Hi there

I use QGis with WFS Geoserver to edit spatial data in SQL Server 2008 R2, I load layers (tables) on QGis and edit. I 'm able to delete,

create, and update geometry for polygons.

But when I use QGis Cut Spatial Objects tool, and save, I get an error:

java.lang.RuntimeException: Parsing failed for COLUMNNAME: java.lang.IllegalArgumentException: boolean indeterminate from ''

Parsin failed for IsOneWay: java.lang.IllegalArgumenntException: boolean indeterminate from ''

boolean indeterminaet from ''

Sometimes the column name change, and also the column type (boolean). Any ideas???

Windows 7 64 Bis

QGis 1.7.0

Geoserver 2.1.1

SQL Server 2008 R2

History

#1 - 2011-09-30 05:00 AM - Anita Graser

- Subject changed from QGis and SQL Server (WFS Geoserver) to Geoserver WFS-T throws error when using QGIS Cut Spatial Objects tool

#2 - 2011-10-02 05:53 AM - Giovanni Manghi

- Priority changed from Normal to Low

The error message comes from Geoserver, not QGIS, as it is clearly a JAVA error message.

In any case if you can't provide a server URL to allow further tests, it will be hard to debug this.

#3 - 2011-12-09 08:35 AM - Paolo Cavallini

- Category set to Web Services clients/WFS

#4 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2012-04-16 06:29 AM - Paolo Cavallini

- Affected QGIS version set to master
- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2015-12-05 01:59 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

do you still have this bug with a recent version of QGIS (2.12.1 or master) and a recent version of Geoserver ?

Trying to reproduce this bug is very hard for people without the same production environment you have. So if the bug is still present, we need more details

and tests about it to determine if it is a QGIS or a Geoserver or an MS-SQL server problem (try with another client than QGIS for example).

#9 - 2015-12-20 04:43 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

closing for lack of feedback.
